# PulpFileClient::PatchedfileFileDistribution

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**base_path** | **String** | The base (relative) path component of the published url. Avoid paths that                     overlap with other distribution base paths (e.g. \&quot;foo\&quot; and \&quot;foo/bar\&quot;) | [optional] 
**content_guard** | **String** | An optional content-guard. | [optional] 
**pulp_labels** | [**Object**](.md) |  | [optional] 
**name** | **String** | A unique name. Ex, &#x60;rawhide&#x60; and &#x60;stable&#x60;. | [optional] 
**repository** | **String** | The latest RepositoryVersion for this Repository will be served. | [optional] 
**publication** | **String** | Publication to be served | [optional] 

## Code Sample

```ruby
require 'PulpFileClient'

instance = PulpFileClient::PatchedfileFileDistribution.new(base_path: null,
                                 content_guard: null,
                                 pulp_labels: null,
                                 name: null,
                                 repository: null,
                                 publication: null)
```


